% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/copernicus_login.r
\name{copernicus_login}
\alias{copernicus_login}
\title{Contact Copernicus Marine login page}
\usage{
copernicus_login(
  username = getOption("CopernicusMarine_uid", ""),
  password = getOption("CopernicusMarine_pwd", "")
)
}
\arguments{
\item{username}{Your Copernicus marine user name. Can be provided as
\code{options(CopernicusMarine_uid = "my_user_name")}, or as argument here.}

\item{password}{Your Copernicus marine password. Can be provided as
\code{options(CopernicusMarine_pwd = "my_password")}, or as argument here.}
}
\value{
Returns a \code{logical} value indicating if the login is successful.
The response from the login page is returned as an attribute named \code{response}.
}
\description{
\ifelse{html}{\href{https://lifecycle.r-lib.org/articles/stages.html#deprecated}{\figure{lifecycle-deprecated.svg}{options: alt='[Deprecated]'}}}{\strong{[Deprecated]}} This login method is only used by the
download methods that are deprecated by Copernicus Marine Services. Use
\code{\link[=cms_login]{cms_login()}} instead.
}
\examples{
\dontrun{
## This will return FALSE if you have not set your account details with 'options'.
## If you have specified your account details and there are no other problems,
## it will return TRUE.
copernicus_login()
}
}
\author{
Pepijn de Vries
}
